#Sonos Controller
#2016-2019 foo.li systeme + software, felix schwenk

$packageName	= 'sonos-controller'
$packageSearch  = 'Sonos Controller'
$installerType	= 'exe'
$version 		= '12.2'
$internalver    = '61.1.82310'
$url			= 'http://update.sonos.com/software/pc/dcr/SonosDesktopController' + $version.replace(".","") + '.exe'
$url64          = $url
$silentArgs		= '/s /v"/qn"'
$validExitCodes	= @(0,3010)
$checksum       = 'B1BC3F4358EE722D0AD79994D1C69F72E32F748467EE8F62E53D85FA7DAEEBA4'
$checksumType   = 'sha256'
$checksum64     = $checksum
$checksumType64 = $checksumType

$app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
		-ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }

if ($app -and ([version]$app.DisplayVersion -ge [version]$internalver)) {
    Write-Output $(
    'Sonos Controller is already installed. ' +
    'No need to download and install again.'
    )
} else {
    Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 `
		-checksum $checksum -checksumType $checksumType `
        -checksum64 $checksum64 -checksumType64 $checksumType64 `
        -validExitCodes $validExitCodes 
	Write-Verbose 'removing desktop shortcut'
    Remove-Item -Path "${env:PUBLIC}\Desktop\Sonos.lnk" -ErrorAction SilentlyContinue
}